from django.db import models

from gm_types.gaia import DIARY_CONTENT_LEVEL


class DiaryQueue(models.Model):
    """
        日记本
    """

    class Meta:
        verbose_name = u'日记本城市队列'
        app_label = 'gold'
        db_table = 'diary_queue'

    city_id = models.CharField(max_length=64)
    native_queue = models.TextField()
    nearby_queue = models.TextField()
    nation_queue = models.TextField()
    megacity_queue = models.TextField()

class WikiQueue(models.Model):
    """
        日记本
    """

    class Meta:
        verbose_name = u'日记本城市队列'
        app_label = 'gold'
        db_table = 'wiki_queue'

    queue = models.TextField()


class IconQueue(models.Model):
    """
        日记本
    """

    class Meta:
        verbose_name = u'图标队列'
        app_label = 'gold'
        db_table = 'icon_queue'

    queue = models.TextField()

class QAQueue(models.Model):
    """
        日记本
    """

    class Meta:
        verbose_name = u'问答队列'
        app_label = 'gold'
        db_table = 'qa_queue'

    queue = models.TextField()


class AnswerQueue(models.Model):
    """
        日记本
    """

    class Meta:
        verbose_name = u'回答队列'
        app_label = 'gold'
        db_table = 'answer_queue'

    type = models.CharField(max_length=64)
    queue = models.TextField()

class UserTopicQueue(models.Model):
    """
        日记本
    """

    class Meta:
        verbose_name = u'帖子队列'
        app_label = 'gold'
        db_table = 'user_topic_queue'

    queue = models.TextField()

class DoctorTopicQueue(models.Model):
    """
        日记本
    """

    class Meta:
        verbose_name = u'帖子队列'
        app_label = 'gold'
        db_table = 'doctor_topic_queue'

    queue = models.TextField()


class ArticleQueue(models.Model):
    """
        日记本
    """

    class Meta:
        verbose_name = u'专栏队列'
        app_label = 'gold'
        db_table = 'article_queue'

    type = models.CharField(max_length=64)
    queue = models.TextField()


class QuestionQueue(models.Model):
    """
        日记本
    """

    class Meta:
        verbose_name = u'问题队列'
        app_label = 'gold'
        db_table = 'question_queue'

    type = models.CharField(max_length=64)
    queue = models.TextField()

class DeviceIconQueue(models.Model):

    class Meta:
        verbose_name = u'用户队列'
        app_label = 'gold'
        db_table = 'device_icon_queue'

    device_id = models.CharField(max_length=64)
    queue = models.TextField()

class DeviceQAQueue(models.Model):

    class Meta:
        verbose_name = u'问答队列'
        app_label = 'gold'
        db_table = 'device_qa_queue'

    device_id = models.CharField(max_length=64)
    queue = models.TextField()



class DeviceAnswerQueue(models.Model):

    class Meta:
        verbose_name = u'用户队列'
        app_label = 'gold'
        db_table = 'device_answer_queue'

    device_id = models.CharField(max_length=64)
    queue = models.TextField()

class DeviceUserTopicQueue(models.Model):

    class Meta:
        verbose_name = u'用户队列'
        app_label = 'gold'
        db_table = 'device_user_topic_queue'

    device_id = models.CharField(max_length=64)
    queue = models.TextField()

class DeviceDoctorTopicQueue(models.Model):

    class Meta:
        verbose_name = u'用户队列'
        app_label = 'gold'
        db_table = 'device_doctor_topic_queue'

    device_id = models.CharField(max_length=64)
    queue = models.TextField()

class DeviceArticleQueue(models.Model):

    class Meta:
        verbose_name = u'用户队列'
        app_label = 'gold'
        db_table = 'device_article_queue'

    device_id = models.CharField(max_length=64)
    queue = models.TextField()


class DeviceDiaryQueue(models.Model):

    """
        日记本
    """

    class Meta:
        verbose_name = u'用户队列'
        app_label = 'gold'
        db_table = 'device_diary_queue'

    device_id = models.CharField(max_length=64)
    city_id = models.CharField(max_length=64)
    native_queue = models.TextField()
    nearby_queue = models.TextField()
    nation_queue = models.TextField()
    megacity_queue = models.TextField()


class DeviceQuestionQueue(models.Model):

    class Meta:
        verbose_name = u'用户队列'
        app_label = 'gold'
        db_table = 'device_question_queue'

    device_id = models.CharField(max_length=64)
    queue = models.TextField()